安装AntDesign 提示peerDependencies WARNING antd@4.13.1

原创     发表于 2021-03-10 23:28     阅读 61  

在 React 项目开发中,集成 AntDesign 是先决条件。官网推荐使用 npm 或 yarn 的方式进行,我采用的是 cnpm 的方式进行,执行一行命令即可:

cnpm install antd --save

cnpm 是什么?具体可以参考文章:npm太慢?使用cnpm来安装 React 脚手架

不出意外,提示完成,很遗憾的是,我在安装时有异常提示。如下:

peerDependencies WARNING antd@4.13.1 › rc-picker@~2.5.1 requires a peer of dayjs@^1.8.30 but none was installed

这个错误提示信息的意思为缺少依赖所致,重点是这句:“requires a peer of dayjs@^1.8.30”。

怎么解决呢?安装好 dayjs 的依赖即可(注意版本号),命令如下:

cnpm install dayjs@^1.8.30 --save

再次执行 AntDesign 的安装命令,显示成功。